data:extend({
{
	type = "ammo-category",
	name = "energy-crystal"
},
{
	type = "ammo",
	name = "fire-energy-crystal",
	icon = "__wizartorio__/graphics/icons/fire-energy-crystal.png",
	flags = {"goes-to-main-inventory"},
	ammo_type =
	{
		category = "energy-crystal",
		action =
		{
			{
				type = "direct",
				action_delivery =
				{
					{
						type = "instant",
						target_effects =
						{
							{
								type = "create-entity",
								entity_name = "explosion-hit"
							},
							{
								type = "damage",
								damage = {amount = 2, type = "fire"}
							},
							{
								type = "damage",
								damage = {amount = 1, type = "psychic"}
							}
						}
					}
				}
			}
		}
	},
	magazine_size = 10,
	subgroup = "ammo",
	order = "f[magic]-a[fire]",
	stack_size=100
},

{
	type = "ammo",
	name = "water-energy-crystal",
	icon = "__wizartorio__/graphics/icons/water-energy-crystal.png",
	flags = {"goes-to-main-inventory"},
	ammo_type =
	{
		category = "energy-crystal",
		action =
		{
			{
				type = "direct",
				action_delivery =
				{
					{
						type = "instant",
						target_effects =
						{
							{
								type = "create-entity",
								entity_name = "explosion-hit"
							},
							{
								type = "damage",
								damage = {amount = 2, type = "poison"}
							},
							{
								type = "damage",
								damage = {amount = 1, type = "psychic"}
							}
						}
					}
				}
			}
		}
	},
	magazine_size = 10,
	subgroup = "ammo",
	order = "f[magic]-b[water]",
	stack_size=100
},

{
	type = "ammo",
	name = "earth-energy-crystal",
	icon = "__wizartorio__/graphics/icons/earth-energy-crystal.png",
	flags = {"goes-to-main-inventory"},
	ammo_type =
	{
		category = "energy-crystal",
		action =
		{
			{
				type = "direct",
				action_delivery =
				{
					{
						type = "instant",
						target_effects =
						{
							{
								type = "create-entity",
								entity_name = "explosion-hit"
							},
							{
								type = "damage",
								damage = {amount = 3, type = "physical"}
							},
							{
								type = "damage",
								damage = {amount = 1, type = "psychic"}
							}
						}
					}
				}
			}
		}
	},
	magazine_size = 10,
	subgroup = "ammo",
	order = "f[magic]-c[earth]",
	stack_size=100
},
{
	type = "ammo",
	name = "air-energy-crystal",
	icon = "__wizartorio__/graphics/icons/air-energy-crystal.png",
	flags = {"goes-to-main-inventory"},
	ammo_type =
	{
		category = "energy-crystal",
		action =
		{
			{
				type = "direct",
				action_delivery =
				{
					{
						type = "instant",
						target_effects =
						{
							{
								type = "create-entity",
								entity_name = "explosion-hit"
							},
							{
								type = "damage",
								damage = {amount = 2, type = "laser"}
							},
							{
								type = "damage",
								damage = {amount = 1, type = "psychic"}
							}
						}
					}
				}
			}
		}
	},
	magazine_size = 10,
	subgroup = "ammo",
	order = "f[magic]-d[air]",
	stack_size=100
}
})