data:extend({
	{
		type = "item",
		name = "adamite-ore",
		icon = "__wizartorio__/graphics/icons/adamite-ore.png",
		flags = { "goes-to-main-inventory" },
		subgroup = "raw-resource",
		order = "e[adamite]-a[ore]",
		stack_size = 50
	},

	{
		type = "item",
		name = "unsorted-crystal",
		icon = "__wizartorio__/graphics/icons/unsorted-crystal.png",
		flags = { "goes-to-main-inventory"},
		subgroup = "raw-resource",
		order = "e[crystal]-c[unsorted]",
		stack_size = 25
	},
	
	{
		type = "item",
		name = "crystal-shard",  
		icon = "__wizartorio__/graphics/icons/crystal-shard.png",
		flags = { "goes-to-main-inventory" },
		subgroup = "raw-material",
		order = "e[crystal]-a[shard]",
		stack_size = 100
	},

	{
		type = "item",
		name = "crystal-whole",
		icon = "__wizartorio__/graphics/icons/crystal-whole.png",
		flags = { "goes-to-main-inventory" },
		subgroup = "raw-material",
		order = "e[crystal]-b[whole]",
		stack_size = 50
	},
	{
		type = "item",
		name = "crystal-rod",
		icon = "__wizartorio__/graphics/icons/crystal-rod.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		order = "e[crystal]-c[rod]",
		stack_size = 50
	},
	{
		type="item",
		name="mana-condenser",
		icon="__wizartorio__/graphics/icons/mana-condenser.png",
		flags = {"goes-to-quickbar"},
		subgroup="extraction-machine",
		order = "m[magic]-a[condensor]",
		place_result="mana-condenser",
		stack_size=10
	},
	{
		type="item",
		name="infuser",
		icon = "__wizartorio__/graphics/icons/infuser.png",
		flags = {"goes-to-quickbar"},
		subgroup="smelting-machine",
		order = "m[magic]-b[infuser]",
		place_result = "infuser",
		stack_size = 10
	},
	{
		type = "item",
		name = "adamite-mix",
		icon = "__wizartorio__/graphics/icons/adamite-mix.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		order = "e[adamite]-b[mix]",
		stack_size = 50
	},
	{
		type = "item",
		name = "adamite-plate",
		icon = "__wizartorio__/graphics/icons/adamite-plate.png",
		flags = {"goes-to-main-inventory"},
		subgroup = "raw-material",
		order = "e[adamite]-c[plate]",
		stack_size = 50
	}
})