data:extend({
{
	type = "technology",
	name = "tapping-mana",
	icon = "__wizartorio__/graphics/research/basic.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "mana-condenser"
		},
		{ 
			type = "unlock-recipe",
			recipe = "infuser"
		},
		{
			type = "unlock-recipe",
			recipe = "crystal-wand"
		},
		{
			type = "unlock-recipe",
			recipe =  "fire-energy-crystal" 
		},
		{
			type = "unlock-recipe",
			recipe = "water-energy-crystal" 
		},
		{
			type = "unlock-recipe",
			recipe = "earth-energy-crystal" 
		},
		{
			type = "unlock-recipe",
			recipe = "air-energy-crystal"
		}
	},
	unit =
	{
		count = 10,
		ingredients = 
		{
			{"science-pack-1", 1}
		},
		time = 10
	}
},
{
	type = "technology",
	name = "refining-adamite",
	icon = "__wizartorio__/graphics/research/adamite.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "adamite-mix-fire"
		},
		{
			type = "unlock-recipe",
			recipe =  "adamite-mix-water"
		},
		{
			type = "unlock-recipe",
			recipe =  "adamite-mix-earth"
		},
		{
			type = "unlock-recipe",
			recipe =  "adamite-mix-air"
		},
		{
			type = "unlock-recipe",
			recipe = "adamite-plate"
		},
		{
			type = "unlock-recipe",
			recipe = "adamite-wand"
		}
	},
	prerequisites = {"tapping-mana"},
	unit =
	{
		count = 20,
		ingredients = 
		{
			{"science-pack-1", 1}
		},
		time = 10
	}
},
{
	type = "technology",
	name = "adamite-armor",
	icon = "__wizartorio__/graphics/research/adamite-armor.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "adamite-armor"
		}
	},
	prerequisites = {"tapping-mana", "armor-making"},
	unit =
	{
		count = 15,
		ingredients = 
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1}
		},
		time = 10
	}
}
})