if data.raw["player"]["player"].resistances then
  table.insert(data.raw["player"]["player"].resistances, {type = "psychic", decrease = 2})
else
  data.raw["player"]["player"].resistances = {{type = "psychic", decrease = 2}}
end


for type in pairs(data.raw) do
	for _, entity in pairs(data.raw[type]) do
		if entity.max_health ~= nil then --is an entity with health... probably
			if entity.resistances == nil then
				entity.resistances = {}
			end
			local exists = false
			for i = 1, #entity.resistances do
				if entity.resistances[i].type == "psychic" then
					exists = true
					break
				end
			end
			if exists == false then
				table.insert(entity.resistances, {type = "psychic", percent = 100})
			end
		end
	end
end

for _, entity in pairs(data.raw["smart-container"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 90}
			break
		end
	end
end

for _, entity in pairs(data.raw["logistic-container"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 70}
			break
		end
	end
end

for _, entity in pairs(data.raw["fish"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			resistance = {type = "psychic", percent = 10}
			break
		end
	end
end

for _, entity in pairs(data.raw["lab"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 50}
			break
		end
	end
end

for _, entity in pairs(data.raw["combat-robot"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 70}
			break
		end
	end
end

for _, entity in pairs(data.raw["construction-robot"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 60}
			break
		end
	end
end

for _, entity in pairs(data.raw["logistic-robot"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 40}
			break
		end
	end
end

for _, entity in pairs(data.raw["turret"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 0}
			break
		end
	end
end

for _, entity in pairs(data.raw["unit-spawner"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 0}
			break
		end
	end
end

for _, entity in pairs(data.raw["unit"]) do
	for i = 1, #entity.resistances do
		if entity.resistances[i].type == "psychic" then
			entity.resistances[i] = {type = "psychic", percent = 0}
			break
		end
	end
end

