data:extend({
{
	type="fluid",
	name="condensed-fire-mana",
	default_temperature=40,
	heat_capacity="1KJ",
	base_color = {r=0.8,g=0.5,b=0},
	flow_color = {r=1,g=0.6,b=0.2},
	max_temperature = 80,
	icon = "__wizartorio__/graphics/icons/fire-mana.png",
	order = "a[fluid]-c[mana]-a[fire]",
	pressure_to_speed_ratio = 0.4,
	flow_to_energy_ratio = 0.59
},
{
	type="fluid",
	name="condensed-water-mana",
	default_temperature=15,
	heat_capacity="1KJ",
	base_color = {r=0,g=0.5,b=0.8},
	flow_color = {r=0.2,g=0.6,b=1},
	max_temperature = 80,
	icon = "__wizartorio__/graphics/icons/water-mana.png",
	order = "a[fluid]-c[mana]-b[water]",
	pressure_to_speed_ratio = 0.4,
	flow_to_energy_ratio = 0.59
},
{
	type="fluid",
	name="condensed-earth-mana",
	default_temperature=20,
	heat_capacity="1KJ",
	base_color = {r=0.2,g=0.3,b=0},
	flow_color = {r=0.3,g=0.5,b=0.2},
	max_temperature = 80,
	icon = "__wizartorio__/graphics/icons/earth-mana.png",
	order = "a[fluid]-c[mana]-c[earth]",
	pressure_to_speed_ratio = 0.4,
	flow_to_energy_ratio = 0.59
},
{
	type="fluid",
	name="condensed-air-mana",
	default_temperature=5,
	heat_capacity="1KJ",
	base_color = {r=0,g=0.2,b=0.6},
	flow_color = {r=0,g=0.2,b=0.8},
	max_temperature = 80,
	icon = "__wizartorio__/graphics/icons/air-mana.png",
	order = "a[fluid]-c[mana]-d[air]",
	pressure_to_speed_ratio = 0.4,
	flow_to_energy_ratio = 0.59
}
})